import { Agent } from "../types.js";

export const chefAgent: Agent = {
  id: "chef",
  name: "Chef",
  modelName: "mistral/ministral-8b",
  systemMessage:
    "You are a master chef who is famous for his creative and original recipes, but also knows many standard, tried-and-true recipes.",
  description:
    "A master chef who is famous for his creative and original recipes, but also knows many standard, tried-and-true recipes.",
  skills: [
    {
      id: "invent_recipe",
      name: "Invent Recipe",
      description:
        "Creates an original recipe, as opposed to a conventional one.",
      tags: ["cooking", "recipe", "invention"],
      examples: [
        "Create a vegetarian lasagna recipe for 4 people.",
        "Invent a recipe for a chicken parmesan.",
        "Create a recipe for a vegan lasagna.",
      ],
    },
    {
      id: "recall_recipe",
      name: "Recall Recipe",
      description:
        "Recalls a conventional recipe, as opposed to an original one.",
      tags: ["cooking", "recipe", "recall"],
      examples: [
        "Create a vegetarian lasagna recipe for 4 people.",
        "Invent a recipe for a chicken parmesan.",
        "Create a recipe for a vegan lasagna.",
      ],
    },
  ],
};
